Announcement

Collapse
No announcement yet.

AMD 8.41.7 Display Driver Released -- The Holy Crap Edition!

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • #16
    Originally posted by SoftIce View Post
    no success here, had to revert to 8.40.4

    kdm didn't want to start anymore:

    Sep 12 17:01:26 dude kdm[6753]: X server for display :0 terminated unexpectedly
    Sep 12 17:01:26 dude kdm[6753]: Display :0 cannot be opened
    Sep 12 17:01:26 dude kdm[6753]: Unable to fire up local display :0; disabling.

    with ATI Mobility FireGL V5200 (should be similar to X1400 and X1600).
    FireGLs are totally disabled in this release.
    Michael Larabel
    http://www.michaellarabel.com/

    Comment


    • #17
      Originally posted by enzobelmont View Post
      michael: can you clarify please if is safe to use the new driver with my xpress 200M laptop??

      thanks in advance.
      It should work. If you run into bugs just go back to 8.40.
      Michael Larabel
      http://www.michaellarabel.com/

      Comment


      • #18
        For Debian/Ubuntu user who did not use lrm-manager:

        http://kanotix.com/files/install-fglrx-debian.sh

        Script has correct fallback for FireGL cards, but I would like to know if someone can run those with ChipID override too. I don't think that this driver is a valid replacement for 8.40.4 in general because of 37 now unsupported cards. 22 cards are newly supported. Here is a list of the removed ones:
        Code:
        ATI FireGL T2 (FireGL T2 4154)
        ATI FireGL V3100 (RV370 GL V3100 5B64)
        ATI FireGL V3200 (RV380 GL 3E54)
        ATI FireGL V3300 (RV515 GL 7152)
        ATI FireGL V3350 (RV515 GL (7153) 7153)
        ATI FireGL V3400 (RV530 GL 128 MB 71D2)
        ATI FireGL V5000 (RV410 GL - 8P 5E48)
        ATI FireGL V5100 (R423 GL - PRO2 5551)
        ATI FireGL V5200 (RV530 GL 256 MB 71DA)
        ATI FireGL V5300 (R520 GL 12P 7105)
        ATI FireGL V7100 (R423 GL XT 5550)
        ATI FireGL V7200 (R480 GL 16P 5D50)
        ATI FireGL V7200 (R520 GL 16P 7104)
        ATI FireGL V7300 (R520 GL 16P 528 MB 710E)
        ATI FireGL V7350 (R520 GL 16P 1 GB 710F)
        ATI FireGL V7400 (RV570 GL 728C)
        ATI FireGL X1 (FireGL X1 4E47)
        ATI FireGL X2-256/X2-256t (FireGL X2 4E4B)
        ATI FireGL X3-256 (R420 GL 4A4D)
        ATI FireGL Z1 (FireGL Z1 4147)
        ATI FireMV 2200 (RV370 FireMV 2200 5B65)
        ATI FireMV 2250 (RV516 719B)
        ATI FireMV 2400 (M24 3151)
        ATI MOBILITY FIRE GL T2/T2e (M10-GL 4E54)
        ATI MOBILITY FireGL V3100 (M22 GL 5464)
        ATI MOBILITY FireGL V3200 (M24 GL 3154)
        ATI MOBILITY FireGL V5000 (M26-CSP128GL 564A)
        ATI MOBILITY FireGL V5000 (M26-GL 564B)
        ATI MOBILITY FireGL V5100 (M28 GL 5D49)
        ATI MOBILITY FireGL V5200 (M56 GL 71C4)
        ATI MOBILITY FireGL V5250 (M66 GL 71D4)
        ATI MOBILITY FireGL V7100 (M58 GL 12P 7106)
        ATI MOBILITY FireGL V7200 (M58 GL 16P 7103)
        M54-GL (M54-GL 7144)
        R430 GL PRO (R430 GL PRO 5555)
        R430 GL XT (R430 GL XT 5554)
        R480 GL 12P (R480 GL 12P 5D51)
        Last edited by Kano; 09-12-2007, 11:38 AM.

        Comment


        • #19
          Wow. Cudos to ATI... I am glad of their recent move to open up their driver development process; maybe something will actually get fixed. I've been upgrading my fglrx driver version month after month; and the same errors have been there for over 4 months. Occasionally new errors pop up(like this annoying corruption error on my second screen). I don't even know or care if there are performance benefits to using this driver.

          I think a more accurate title for this driver release is:

          "HOLY CRAP! I can't believe I waited a week for this release"

          Comment


          • #20
            Originally posted by mile View Post
            same crappy desktop performance as with 8.40 version

            as we said..there "may" be some OpenGL performance improvements, but basic things are not fixed
            I totally agree. I want to use my computer for two things. Work and watching movies on my TV. For the first, performance should be better. The second is not possible thanks to stupid bugs that happen to be there for 21 months, now.

            It's a shame.

            Comment


            • #21
              Some interesting stuff in my X log

              NOTE: I'm prefacing this by saying I didn't look for this under 8.40

              (==) AIGLX enabled

              (II) fglrx(0): DRI initialization successfull!

              (II) fglrx(0): Direct rendering enabled

              However, at the end I get

              (EE) AIGLX error: DRIAuthConnection failed
              (EE) AIGLX: reverting to software rendering


              So.... close....

              Comment


              • #22
                I'm running Ubuntu Feisty, fully updated, and just installed the ATI driver via the "automatic" installer. Everything went fine, but I cannot load the module and because of that not start Xorg with fglrx active:

                Code:
                [  586.296000] [fglrx] Maximum main memory to use for locked dma buffers: 403 MBytes.
                [  586.296000] [fglrx] ASYNCIO init succeed!
                [  586.296000] [fglrx] PAT is enabled successfully!
                [  586.296000] [fglrx:firegl_init_module] *ERROR* firegl_stub_register failed
                The card is an X200M...

                Comment


                • #23
                  hi ,

                  the release note says it support ati hd 2400 series under the "ATI Desktop and Integrated Product Family Support" section.

                  What about my Ati Mobility Radeon HD 2400 ?? Nothing about it in this note ...

                  Do you think it can work or do i have to wait for a future release .....

                  Comment


                  • #24
                    Great. People are having huge problems. No 2.6.23, no AIGLX.

                    I said it would suck, and it sucked. I might not even download it... ATI did it again. Michael did it again.
                    Could you just stop spreading so much never-to-be-fulfilled BS?

                    Originally posted by Xipeos View Post
                    1 week from now, if the new driver is as bad as you say, we'll all hail you as the new Nostradamus predictor@home. Until then stfu, you have no real basis for your predictions.
                    I didn't STFU because I had a very strong feeling I would be right. And obviously I was.
                    Now you hail me, bitch

                    One more month. One more bugfix? Cause from what I can see on the notes of .41, the "Known Issues"-list has basically not stopped growing.

                    Could you who haven't understood it yet, please get this straight: ATI SUCKS UNTIL PROVEN OTHERWISE.

                    And no proof yet. Next month? Don't count on it. But count on Michael, he da man!

                    EDIT:
                    By the way... Oktoberfest, Michael? "Down-right failure" seems more right... But but..

                    You da man Michael, you da man!
                    Last edited by opera; 09-12-2007, 11:39 AM.

                    Comment


                    • #25
                      Originally posted by slacker View Post
                      uhm, it says:

                      Caution: The AMD Proprietary Linux driver version 8.41.7 is not recommended for the ATI Mobility and Integrated Products. Using this driver on any of the following products may result in stability issues. AMD recommends using the AMD Proprietary Linux software driver version 8.40.4.

                      I got an X1400 mobility, should I risk?
                      I think it's more likely to be in regards to things like suspend/resume than much of anything else (as in it don't work- heh...)- and possibly Hypermemory support.

                      I'll brave it with my Xpress200M shortly and see if the RS480 support's moderately stable with Hypermemory- and what the suspend/hibernate/resume behaviors are. I'm gifting my mother with that laptop shortly so if I mess it up too badly it's not a big loss- just burn it down, start over.

                      Comment


                      • #26
                        Here is the warning AMD will make you agree with before downloading the driver once it officially appears at AMD.com:

                        The AMD Proprietary Linux driver version 8.41 is recommended for the ATI Radeon HD 2000 family only.

                        AMD recommends users of cards other than the ATI Radeon HD 2000 family continue to use the currently posted drivers for that product available for download on http://ati.amd.com/

                        Future releases will return to a unified driver supporting all product
                        families.

                        How this affects users:
                        Using this driver may result in stability issues on non-Workstation products. This driver will not work with any ATI FireGL or ATI FireMV products.

                        How this affects distribution maintainers and packagers:
                        This driver is not suitable for inclusion in distributions and is
                        recommended to not be packaged into any mainstream distribution update. Distribution vendors may repackage and provide experimental packages, but should include the above warning to users.
                        Michael Larabel
                        http://www.michaellarabel.com/

                        Comment


                        • #27
                          I just installed the new driver, but now X won't start...

                          Code:
                          (II) LoadModule: "GLcore"
                          (II) Loading /usr/lib/xorg/modules/extensions//libGLcore.so
                          (II) Module GLcore: vendor="X.Org Foundation"
                                  compiled for 7.2.0, module version = 1.0.0
                                  ABI class: X.Org Server Extension, version 0.3
                          (II) GLX: Initialized MESA-PROXY GL provider for screen 0
                          
                          Backtrace:
                          0: /usr/X11R6/bin/X(xf86SigHandler+0x81) [0x80c5d91]
                          1: [0xffffe420]
                          2: /usr/lib/xorg/modules//glesx.so [0xb5c6ea24]
                          3: /usr/lib/xorg/modules//glesx.so [0xb5c6809c]
                          4: /usr/lib/xorg/modules//glesx.so [0xb5bfb3fb]
                          5: /usr/lib/xorg/modules//glesx.so [0xb5c0d196]
                          6: /usr/lib/xorg/modules//glesx.so [0xb5bfa3d9]
                          7: /usr/lib/xorg/modules//glesx.so [0xb5c23c12]
                          8: /usr/lib/xorg/modules//glesx.so [0xb5c11ebd]
                          9: /usr/lib/xorg/modules//glesx.so [0xb5c13469]
                          10: /usr/lib/xorg/modules//glesx.so [0xb5b9a6e3]
                          11: /usr/lib/xorg/modules//glesx.so [0xb5b8ff88]
                          12: /usr/lib/xorg/modules//glesx.so [0xb5b90670]
                          13: /usr/lib/xorg/modules//glesx.so(esutInit+0x74) [0xb5b8f484]
                          14: /usr/lib/xorg/modules//glesx.so [0xb5b8b17b]
                          15: /usr/lib/xorg/modules//glesx.so(GlesxExtensionInit+0x9b) [0xb5b8a3fb]
                          16: /usr/X11R6/bin/X(InitExtensions+0xa2) [0x80f4412]
                          17: /usr/X11R6/bin/X(main+0x2af) [0x807459f]
                          18: /lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xdc) [0xb7d94ebc]
                          19: /usr/X11R6/bin/X(FontFileCompleteXLFD+0x1e1) [0x8073ab1]
                          
                          Fatal server error:
                          Caught signal 11.  Server aborting
                          I really hope this is something that can be fixed to get working... I've been stuck with a largely worthless AGP X1600 512mb card for weeks now. I was really looking foward to this driver release.

                          EDIT: I see from Michael's post above that basically this driver release is pretty much worthless for anyone other than the handful of people running an HD2000 series card?

                          !!!!
                          Last edited by phreadom; 09-12-2007, 11:44 AM.

                          Comment


                          • #28
                            Originally posted by opera View Post
                            One more month. One more bugfix? Cause from what I can see on the notes of .41, the "Known Issues"-list has basically not stopped growing.
                            It's not only that. The "Known Issues" list would be at least ten times the size it is, if they would acknowledge all the bugs on the unofficial bugzilla that have been confirmed by many, many users.

                            Comment


                            • #29
                              Please try it for yourself before complaining.

                              I can confirm R500 bugs with Nexuiz and Xmoto. I can confirm performance improvements all over the place. I can confirm AA/AF not avaible in the AMDCCCLE for 8.41.

                              8.42 will not only have AIGLX, but also a lot of bugfixes for non-R600 cards (like AMD said).

                              Comment


                              • #30
                                Originally posted by Z1Kenobi View Post
                                hi ,

                                the release note says it support ati hd 2400 series under the "ATI Desktop and Integrated Product Family Support" section.

                                What about my Ati Mobility Radeon HD 2400 ?? Nothing about it in this note ...

                                Do you think it can work or do i have to wait for a future release .....
                                It should work.
                                Michael Larabel
                                http://www.michaellarabel.com/

                                Comment

                                Working...
                                X